devguard

AuditsIdRestore

Restore an archived audit by id.

POST
/audits/{id}/restore/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/audits/string/restore/"
{
  "id": "string",
  "slug": "string",
  "name": "string",
  "type": "CERTIFICATION",
  "started": "string",
  "ended": "string",
  "auditor": "string",
  "notes": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "archivedAt": "string",
  "organizationId": "string",
  "frameworkId": "string"
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

How is this guide?